<?php

class p_user_musics extends cmsPlugin {
    
    public function __construct(){
        parent::__construct();

        $this->info['plugin'] = 'p_user_musics';
        $this->info['title'] = 'Музыка пользователя';
        $this->info['description'] = 'Плагин выводит песни добавленные пользователем';
        $this->info['author'] = 'DS Soft';
        $this->info['version'] = '1.0.1';

        $this->info['tab'] = 'Музыка';
        $this->config['Количество песен'] = 10;

        $this->events[] = 'USER_PROFILE';
    }
   
    public function install(){
        return parent::install();
    }

    public function upgrade(){
        return parent::upgrade();
    }

    public function execute($event='', $user=array()){
        parent::execute();
        
        cmsCore::loadModel('music');
        $model = new cms_model_music();
        
        $model->inDB->orderBy($model->config['music_order_by'], $model->config['music_order_to']);
        $model->inDB->limitPage(1, $this->config['Количество песен']);
        $model->inDB->where("m.user_id='". $user['id'] ."'");
        
        $total = $model->getMusicTotal();
        $musics = $model->getMusic();

        ob_start();
            $smarty= $this->inCore->initSmarty('plugins', 'p_user_musics.tpl');
            $smarty->assign('total', $total);
            $smarty->assign('musics', $musics);
            $smarty->assign('pleer', $model->config['player']);
            $smarty->display('p_user_musics.tpl');
        return ob_get_clean();
    }
}

?>
