<?php
if(!defined('VALID_CMS_ADMIN')) { die('ACCESS DENIED'); }

cmsCore::loadModel('music');
$model = new cms_model_music();

$id = cmsCore::request('id', 'int', 0);
$opt = cmsCore::request('opt', 'str', 'music_list');
$page = cmsCore::request('page', 'int', 1);

$GLOBALS['cp_page_head'][] = '
    <script type="text/javascript" src="/includes/jquery/tabs/jquery.ui.min.js"></script>
    <link href="/includes/jquery/tabs/tabs.css" rel="stylesheet" type="text/css" />
    <style type="text/css">.tablesorter tbody tr:hover{ background-color: #ccffcc; }</style>
';
global $_LANG;

$toolmenu = array(
    array(
        'icon' => 'add_music.png',
        'title' => 'Добавить песню',
        'link' => '/music/add.html" target="_blank'
    ),
    array(
        'icon' => 'music_list.png',
        'title' => 'Список песен',
        'link' => '?view=components&do=config&id='. $id .'&opt=music_list'
    ),
    array(
        'icon' => 'singer_list.png',
        'title' => 'Список исполнителей',
        'link' => '?view=components&do=config&id='. $id .'&opt=singer_list'
    ),
    array(
        'icon' => 'album_list.png',
        'title' => 'Список альбомов',
        'link' => '?view=components&do=config&id='. $id .'&opt=album_list'
    ),
//    array(
//        'icon' => 'genre_list.png',
//        'title' => 'Список жанров',
//        'link' => '?view=components&do=config&id='. $id .'&opt=genre_list'
//    ),
    array(
        'icon' => 'config.gif',
        'title' => 'Настройки',
        'link' => '?view=components&do=config&id='. $id .'&opt=config'
    )
);
cpToolMenu($toolmenu);

if ($opt == 'config'){
    cpaddpathway('Настройки', '?view=components&do=config&id='. $id .'&opt=config');
?>
    <script type="text/javascript">
        $(function(){$(".uitabs").tabs();});
    </script>

    <form action="index.php?view=components&do=config&id=<?php echo $id; ?>&opt=saveconfig" method="post">
        <div class="uitabs" style="padding-top: 10px;">
            <ul id="tabs">
                <li><a href="#musics"><span>Музыка</span></a></li>
                <li><a href="#singers"><span>Исполнители</span></a></li>
                <li><a href="#albums"><span>Альбомы</span></a></li>
            </ul>

            <div id="musics">
                <table width="800" border="0" cellpadding="5" cellspacing="0" class="proptable" style="border:none">
                    <tr>
                        <td width="270" valign="top">
                            <strong>Количество песен на странице</strong>
                        </td>
                        <td>
                            <input type="text" id="music_perpage" name="music_perpage" value="<?php echo $model->config['music_perpage']; ?>" style="width:98%;" />
                        </td>
                    </tr>
                    <tr>
                        <td width="270" valign="top">
                            <strong>Сортировка песен</strong>
                        </td>
                        <td>
                            <select name="music_order_by" id="music_order_by">
                                <option value="m.pubdate" <?php if ($model->config['music_order_by'] == 'm.pubdate'){ echo 'selected="selected"'; } ?>>по дате</option>
                                <option value="m.name" <?php if ($model->config['music_order_by'] == 'm.name'){ echo 'selected="selected"'; } ?>>по названию</option>
                                <option value="singer" <?php if ($model->config['music_order_by'] == 'singer'){ echo 'selected="selected"'; } ?>>по исполнителю</option>
                                <option value="album" <?php if ($model->config['music_order_by'] == 'album'){ echo 'selected="selected"'; } ?>>по альбому</option>
                            </select>
                            <select name="music_order_to" id="music_order_to">
                                <option value="asc" <?php if ($model->config['music_order_to'] == 'asc'){ echo 'selected="selected"'; } ?>>по возрастанию</option>
                                <option value="desc" <?php if ($model->config['music_order_to'] == 'desc'){ echo 'selected="selected"'; } ?>>по убыванию</option>
                            </select>
                        </td>
                    </tr>
                    <tr>
                        <td width="270" valign="top">
                            <strong>Заголовок страницы списка песен</strong>
                        </td>
                        <td>
                            <input type="text" id="music_pagetitle" name="music_pagetitle" value="<?php echo $model->config['music_pagetitle']; ?>" style="width:98%;" />
                        </td>
                    </tr>
                    <tr>
                        <td width="270" valign="top">
                            <strong>Мета описание страницы списка песен</strong>
                        </td>
                        <td>
                            <textarea name="music_metadesc" style="width:98%;"><?php echo $model->config['music_metadesc']; ?></textarea>
                        </td>
                    </tr>
                    <tr>
                        <td width="270" valign="top">
                            <strong>Мета ключи страницы списка песен</strong>
                        </td>
                        <td>
                            <textarea name="music_metakeys" style="width:98%;"><?php echo $model->config['music_metakeys']; ?></textarea>
                        </td>
                    </tr>
                </table>
            </div>
            
            <div id="singers">
                <table width="800" border="0" cellpadding="5" cellspacing="0" class="proptable" style="border:none">
                    <tr>
                        <td width="270" valign="top">
                            <strong>Количество исполнителей на странице</strong>
                        </td>
                        <td>
                            <input type="text" id="singers_perpage" name="singers_perpage" value="<?php echo $model->config['singers_perpage']; ?>" style="width:98%;" />
                        </td>
                    </tr>
                    <tr>
                        <td width="270" valign="top">
                            <strong>Заголовок страницы списка исполнителей</strong>
                        </td>
                        <td>
                            <input type="text" id="singers_pagetitle" name="singers_pagetitle" value="<?php echo $model->config['singers_pagetitle']; ?>" style="width:98%;" />
                        </td>
                    </tr>
                    <tr>
                        <td width="270" valign="top">
                            <strong>Мета описание страницы списка исполнителей</strong>
                        </td>
                        <td>
                            <textarea name="singers_metadesc" style="width:98%;"><?php echo $model->config['singers_metadesc']; ?></textarea>
                        </td>
                    </tr>
                    <tr>
                        <td width="270" valign="top">
                            <strong>Мета ключи страницы списка исполнителей</strong>
                        </td>
                        <td>
                            <textarea name="singers_metakeys" style="width:98%;"><?php echo $model->config['singers_metakeys']; ?></textarea>
                        </td>
                    </tr>
                </table>
            </div>
            
            <div id="albums">
                <table width="800" border="0" cellpadding="5" cellspacing="0" class="proptable" style="border:none">
                    <tr>
                        <td width="270" valign="top">
                            <strong>Количество альбомов на странице</strong>
                        </td>
                        <td>
                            <input type="text" id="albums_perpage" name="albums_perpage" value="<?php echo $model->config['albums_perpage']; ?>" style="width:98%;" />
                        </td>
                    </tr>
                    <tr>
                        <td width="270" valign="top">
                            <strong>Заголовок страницы списка альбомов</strong>
                        </td>
                        <td>
                            <input type="text" id="albums_pagetitle" name="albums_pagetitle" value="<?php echo $model->config['albums_pagetitle']; ?>" style="width:98%;" />
                        </td>
                    </tr>
                    <tr>
                        <td width="270" valign="top">
                            <strong>Мета описание страницы списка альбомов</strong>
                        </td>
                        <td>
                            <textarea name="albums_metadesc" style="width:98%;"><?php echo $model->config['albums_metadesc']; ?></textarea>
                        </td>
                    </tr>
                    <tr>
                        <td width="270" valign="top">
                            <strong>Мета ключи страницы списка альбомов</strong>
                        </td>
                        <td>
                            <textarea name="albums_metakeys" style="width:98%;"><?php echo $model->config['albums_metakeys']; ?></textarea>
                        </td>
                    </tr>
                </table>
            </div>
        </div>
        <div>
            <input type="submit" value="Сохранить" />
        </div>
    </form>
<?php
}

if ($opt == 'saveconfig'){
    $cfg = array();
    
    $cfg['music_perpage'] = cmsCore::request('music_perpage', 'int', 0);
    $cfg['music_order_by'] = cmsCore::request('music_order_by', array('m.pubdate','m.name','singer','album'), 'm.pubdate');
    $cfg['music_order_to'] = cmsCore::request('music_order_to', array('asc','desc'), 'desc');
    $cfg['music_pagetitle'] = cmsCore::request('music_pagetitle', 'str', '');
    $cfg['music_metadesc'] = cmsCore::request('music_metadesc', 'str', '');
    $cfg['music_metakeys'] = cmsCore::request('music_metakeys', 'str', '');
    
    $cfg['singers_perpage'] = cmsCore::request('singers_perpage', 'int', 0);
    $cfg['singers_pagetitle'] = cmsCore::request('singers_pagetitle', 'str', '');
    $cfg['singers_metadesc'] = cmsCore::request('singers_metadesc', 'str', '');
    $cfg['singers_metakeys'] = cmsCore::request('singers_metakeys', 'str', '');
    
    $cfg['albums_perpage'] = cmsCore::request('albums_perpage', 'int', 0);
    $cfg['albums_pagetitle'] = cmsCore::request('albums_pagetitle', 'str', '');
    $cfg['albums_metadesc'] = cmsCore::request('albums_metadesc', 'str', '');
    $cfg['albums_metakeys'] = cmsCore::request('albums_metakeys', 'str', '');
    
    $inCore->saveComponentConfig('music', $cfg);
    cmsCore::addsessionmessage('Настройки успешно сохранены', 'success');
    
    cmsCore::redirect('?view=components&do=config&id='. $id .'&opt=config');
}

if ($opt == 'music_list'){
    cpaddpathway('Список песен', '?view=components&do=config&id='. $id .'&opt=music_list');
    
    $model->inDB->orderBy('m.id', 'desc');
    $model->inDB->limitPage($page, 30);

    $total = $model->getMusicTotal();
    $items = $model->getMusic();
?>
    <table id="listTable" border="0" class="tablesorter" width="100%" cellpadding="0" cellspacing="0">
        <thead>
            <tr>
                <th width="20" class="lt_header">ID</th>
                <th width="" class="lt_header">Название</th>
                <th width="" class="lt_header">Исполнитель</th>
                <th width="" class="lt_header">Альбом</th>
                <th width="100" class="lt_header">Операции</th>
            </tr>
        </thead>
        <tbody>
            <?php
                if ($total) {
                    foreach ($items as $item){
            ?>
                        <tr>
                            <td><?php echo $item['id']; ?></td>
                            <td>
                                <a href="/music/musics<?php echo $item['id']; ?>" target="_blank" title="Перейти на страницу песни">
                                    <?php echo $item['name']; ?>
                                </a>
                            </td>
                            <td>
                                <a href="/music/singer<?php echo $item['singer_id']; ?>" target="_blank" title="Перейти на страницу исполнителя">
                                    <?php echo $item['singer']; ?>
                                </a>
                            </td>
                            <td>
                                <a href="/music/album<?php echo $item['album_id']; ?>" target="_blank" title="Перейти на страницу альбома">
                                    <?php echo $item['album']; ?>
                                </a>
                            </td>
                            <td align="center">
                                <a href="index.php?view=components&do=config&id=<?php echo $id; ?>&opt=delete_music&item_id=<?php echo $item['id']; ?>" title="Удалить" onclick="if (confirm('Вы действительно хотите удалить песню?')){ return true; }else{ return false; }"><img src="/admin/images/actions/delete.gif" alt="Удалить" /></a>
                            </td>
                        </tr>
            <?php
                    }
                }else{
            ?>
                    <tr><td colspan="4">Нет материалов для отображения</td></tr>
            <?php } ?>
        </tbody>
    </table>
<?php
    echo cmsPage::getPagebar($total, $page, 30, '?view=components&do=config&id='. $id .'&opt=music_list&page=%page%');
}

if ($opt == 'singer_list'){
    cpaddpathway('Список исполнителей', '?view=components&do=config&id='. $id .'&opt=singer_list');
    $total = $model->getSingersTotal();
    $items = $model->getSingers($page, 30);
?>
    <table id="listTable" border="0" class="tablesorter" width="100%" cellpadding="0" cellspacing="0">
        <thead>
            <tr>
                <th width="20" class="lt_header">ID</th>
                <th width="50" class="lt_header">Количество песен</th>
                <th width="" class="lt_header">Имя</th>
                <th width="100" class="lt_header">Операции</th>
            </tr>
        </thead>
        <tbody>
            <?php
                if ($total) {
                    foreach ($items as $item){
            ?>
                        <tr>
                            <td><?php echo $item['id']; ?></td>
                            <td><?php echo $item['mus']; ?></td>
                            <td>
                                <a href="/music/singer<?php echo $item['id']; ?>" target="_blank">
                                    <?php echo $item['singer_name']; ?>
                                </a>
                            </td>
                            <td align="center">
                                <a href="index.php?view=components&do=config&id=<?php echo $id; ?>&opt=delete_singer&item_id=<?php echo $item['id']; ?>" title="Удалить" onclick="if (confirm('Вы действительно хотите удалить исполнителя и все его песни?')){ return true; }else{ return false; }"><img src="/admin/images/actions/delete.gif" alt="Удалить" /></a>
                            </td>
                        </tr>
            <?php
                    }
                }else{
            ?>
                    <tr><td colspan="4">Нет материалов для отображения</td></tr>
            <?php } ?>
        </tbody>
    </table>
<?php
    echo cmsPage::getPagebar($total, $page, 30, '?view=components&do=config&id='. $id .'&opt=singer_list&page=%page%');
}

if ($opt == 'album_list'){
    cpaddpathway('Список альбомов', '?view=components&do=config&id='. $id .'&opt=album_list');
    $total = $model->getAlbumsTotal();
    $items = $model->getAlbums($page, 30);
?>
    <table id="listTable" border="0" class="tablesorter" width="100%" cellpadding="0" cellspacing="0">
        <thead>
            <tr>
                <th width="20" class="lt_header">ID</th>
                <th width="50" class="lt_header">Количество песен</th>
                <th width="" class="lt_header">Название</th>
                <th width="100" class="lt_header">Операции</th>
            </tr>
        </thead>
        <tbody>
            <?php
                if ($total) {
                    foreach ($items as $item){
            ?>
                        <tr>
                            <td><?php echo $item['id']; ?></td>
                            <td><?php echo $item['mus']; ?></td>
                            <td>
                                <a href="/music/album<?php echo $item['id']; ?>" target="_blank">
                                    <?php echo $item['album_name']; ?>
                                </a>
                            </td>
                            <td align="center">
                                <a href="index.php?view=components&do=config&id=<?php echo $id; ?>&opt=delete_album&item_id=<?php echo $item['id']; ?>" title="Удалить" onclick="if (confirm('Вы действительно хотите удалить альбом и все его песни?')){ return true; }else{ return false; }"><img src="/admin/images/actions/delete.gif" alt="Удалить" /></a>
                            </td>
                        </tr>
            <?php
                    }
                }else{
            ?>
                    <tr><td colspan="4">Нет материалов для отображения</td></tr>
            <?php } ?>
        </tbody>
    </table>
<?php
    echo cmsPage::getPagebar($total, $page, 30, '?view=components&do=config&id='. $id .'&opt=album_list&page=%page%');
}

if ($opt == 'delete_singer'){
    $item_id = cmsCore::request('item_id', 'int', 0);
    $singer = $model->getSinger($item_id);
    
    if (!empty($singer)){
        $model->inDB->orderBy('m.id', 'desc');
        $model->inDB->where("m.singer_id='". $singer['id'] ."'");
        
        $total = $model->getMusicTotal();
        
        $model->inDB->limitPage(1, $total);
        
        $musics = $model->getMusic();
        
        foreach ($musics as $music){
            $model->deleteMusic($music['id']);
        }
        
        if (!empty($singer['photo']) && file_exists(PATH .'/images/music/singer/'. $singer['photo'])){
            unlink(PATH .'/images/music/singer/'. $singer['photo']);
        }
        $model->inDB->query("DELETE FROM cms_music_singer WHERE id='". $singer['id'] ."' LIMIT 1");

        cmsCore::addSessionMessage('Исполнитель «'. $singer['singer_name'] .'» успешно удален', 'success');
    }else{
        cmsCore::addSessionMessage('Исполнитель для удаления не найден.', 'error');
    }
    
    cmsCore::redirect('?view=components&do=config&id='. $id .'&opt=singer_list');
}

if ($opt == 'delete_album'){
    $item_id = cmsCore::request('item_id', 'int', 0);
    $album = $model->getAlbum($item_id);
    
    if (!empty($album)){
        $model->inDB->orderBy('m.id', 'desc');
        $model->inDB->where("m.album_id='". $album['id'] ."'");
        
        $total = $model->getMusicTotal();
        
        $model->inDB->limitPage(1, $total);
        
        $musics = $model->getMusic();
        
        foreach ($musics as $music){
            $model->deleteMusic($music['id']);
        }
        
        if (!empty($album['photo']) && file_exists(PATH .'/images/music/singer/'. $album['photo'])){
            unlink(PATH .'/images/music/album/'. $album['photo']);
        }
        $model->inDB->query("DELETE FROM cms_music_album WHERE id='". $album['id'] ."' LIMIT 1");

        cmsCore::addSessionMessage('Альбом «'. $album['album_name'] .'» успешно удален', 'success');
    }else{
        cmsCore::addSessionMessage('Альбом для удаления не найден', 'error');
    }
    
    cmsCore::redirect('?view=components&do=config&id='. $id .'&opt=album_list');
}

if ($opt == 'delete_music'){
    $item_id = cmsCore::request('item_id', 'int', 0);
    $music = $model->getMus();
    
    if (!empty($music)){
        $model->deleteMusic($music['id']);
        cmsCore::addSessionMessage('Песня «'. $music['singer'] .' - '. $music['name'] .'» успешно удалена', 'success');
    }else{
        cmsCore::addSessionMessage('Песня для удаления не найдена', 'error');
    }
    
    cmsCore::redirect('?view=components&do=config&id='. $id .'&opt=music_list');
}

//if ($opt == 'genre_list'){
//    
//}

?>