CREATE TABLE `#__music` (
    `id` INT NOT NULL AUTO_INCREMENT PRIMARY KEY,
    `user_id` INT NOT NULL,
    `name` VARCHAR(100) NOT NULL,
    `album_id` INT NOT NULL,
    `singer_id` INT NOT NULL,
    `genre_id` INT NOT NULL,
    `music_url` VARCHAR(200) NOT NULL,
    `listen` INT NOT NULL,
    `listened` INT NOT NULL,
    `pubdate` DATETIME NOT NULL,
INDEX (`user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=cp1251 AUTO_INCREMENT=2;

CREATE TABLE `#__music_album` (
    `id` INT NOT NULL AUTO_INCREMENT PRIMARY KEY,
    `album_name` VARCHAR(100) NOT NULL,
    `description` TEXT NOT NULL,
    `photo` VARCHAR(100) NOT NULL,
    `user_id` INT NOT NULL,
    `pubdate` DATETIME NOT NULL,
INDEX (`user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=cp1251 AUTO_INCREMENT=2;

CREATE TABLE `#__music_genre` (
    `id` INT NOT NULL AUTO_INCREMENT PRIMARY KEY,
    `genre_name` VARCHAR(100) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=cp1251 AUTO_INCREMENT=2;

CREATE TABLE `#__music_singer` (
    `id` INT NOT NULL AUTO_INCREMENT PRIMARY KEY,
    `singer_name` VARCHAR(100) NOT NULL,
    `description` TEXT NOT NULL,
    `photo` VARCHAR(100) NOT NULL,
    `user_id` INT NOT NULL,
    `pubdate` DATETIME NOT NULL,
INDEX (`user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=cp1251 AUTO_INCREMENT=2;

CREATE TABLE `#__music_pl` (
    `id` INT NOT NULL AUTO_INCREMENT PRIMARY KEY,
    `music_id` INT NOT NULL,
    `user_id` VARCHAR(100) NOT NULL,
INDEX (`user_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=cp1251 AUTO_INCREMENT=2;

CREATE TABLE `#__music_pl_list` (
    `id` INT NOT NULL AUTO_INCREMENT PRIMARY KEY,
    `user_id` INT NOT NULL,
    `pl_name` VARCHAR(100) NOT NULL,
INDEX (`user_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=cp1251 AUTO_INCREMENT=2;

INSERT INTO `#__music_genre` (`id`, `genre_name`) VALUES (2, 'Поп-Музыка'), (3, 'Шансон'), (4, 'Рок'), (5, 'Электро'), (6, 'Реп/Р&Б/Хип-Хоп'), (7, 'Hardcore'), (8, 'Хард-рок & Металл'), (9, 'Техно'), (10, 'Классическая'), (11, 'Джаз и Блюз'), (12, 'Элетро Хаус, Хаус'), (13, 'Инструментальная'), (14, 'Танцевальная/Клубная'), (15, 'Саундтреки'), (16, 'Другое');

INSERT INTO `#__modules` (`id`, `position`, `name`, `title`, `is_external`, `content`, `ordering`, `showtitle`, `published`, `user`, `config`, `original`, `css_prefix`, `cache`, `cachetime`, `cacheint`, `template`) VALUES
('', 'top', 'Плейлист', 'Плейлист', 1, 'mod_user_player', 1, 0, 1, 0, '', 1, '', 0, 1, 'HOUR', 'module.tpl');

INSERT INTO #__comment_targets (`target`, `component`, `title`) VALUES ('music', 'music', 'Музыкальный Альбом');